%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define uname   SoapySDR
%define modsfx  %(echo "%{version}"|cut -d. -f-2)

Name:           soapy-sdr
Version:        0.8.1
Release:        %mkrel 4
Summary:        A Vendor Neutral and Platform Independent SDR Support Library
Group:          Communications/Radio
License:        Boost
URL:            https://github.com/pothosware/SoapySDR
Source0:        https://github.com/pothosware/%{uname}/archive/refs/tags/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  swig
BuildRequires:  doxygen
BuildRequires:  python3-devel
BuildRequires:  python3-numpy

%description
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{libname}
Summary:        A Vendor Neutral and Platform Independent SDR Support Library

%description -n %{libname}
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n python3-%{name}
Summary:        Python3 Bindings for SoapySDR
Provides:       python3-%{name} = %{version}-%{release}

%description -n python3-%{name}
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{devname}
Summary:        Development Files for SoapySDR
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{uname}-devel = %{version}-%{release}

%description -n %{devname}
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.

%package -n %{name}-doc
Summary:        Documentation Files for SoapySDR
BuildArch:      noarch

%description -n %{name}-doc
SoapySDR is an open-source generalized C/C++ API and runtime library
for interfacing with Software-Defined Radio (SDR) devices.
This package includes documentation.
        
%prep
%autosetup -n %{uname}-%{name}-%{version}

%build
%cmake -DUSE_PYTHON_CONFIG=ON

%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_libdir}/%{name}/modules%{modsfx}

# install docs
mkdir -p %{buildroot}%{_pkgdocdir}
cp -a build/docs/html/* %{buildroot}%{_pkgdocdir}

%check
ctest -V

%files
%{_bindir}/%{uname}Util
%license LICENSE_1_0.txt

%files -n %{libname}
%{_libdir}/lib%{uname}.so.%{major}{,.*}
%{_libdir}/%{name}/modules%{modsfx}/

%files -n python3-%{name}
%license LICENSE_1_0.txt
%{python3_sitearch}/%{uname}.py
%{python3_sitearch}/_%{uname}.so
%{python3_sitearch}/__pycache__/%{uname}.cpython-*.pyc

%files -n %{devname}
%{_includedir}/%{uname}
%{_libdir}/lib%{uname}.so
%{_libdir}/pkgconfig/%{uname}.pc
%{_datadir}/cmake/%{uname}/

%files -n %{name}-doc
%doc README.md
%{_mandir}/man1/*
%{_pkgdocdir}/


%changelog
* Fri Jan 12 2024 papoteur <papoteur> 0.8.1-4.mga10
+ Revision: 2030464
- rebuild for python 3.12

* Mon Mar 28 2022 umeabot <umeabot> 0.8.1-3.mga9
+ Revision: 1829567
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.8.1-2.mga9
+ Revision: 1778515
- Rebuild for python-3.10

* Tue Feb 01 2022 barjac <barjac> 0.8.1-1.mga9
+ Revision: 1770858
- new version 0.8.1

* Mon Jun 14 2021 barjac <barjac> 0.8.0-1.mga9
+ Revision: 1730629
- import soapy-sdr 0.8.0

